using System;
using DevExpress.ExpressApp;
using DevExpress.ExpressApp.Updating;
using Ticket_24185.Module.BusinessObjects;

namespace Ticket_24185.Module.DatabaseUpdate {
    
    public class Updater : ModuleUpdater {
        public Updater(IObjectSpace objectSpace, Version currentDBVersion) :
            base(objectSpace, currentDBVersion) {
        }
        public override void UpdateDatabaseAfterUpdateSchema() {
            base.UpdateDatabaseAfterUpdateSchema();
            if ((ObjectSpace.GetObjects<Crm_Pais_Iso>().Count != 0)) return;
            var obj1 = ObjectSpace.CreateObject<Crm_Pais_Iso>();
            obj1.Name = "Object1";
            var obj2 = ObjectSpace.CreateObject<Crm_Pais_Iso>();
            obj2.Name = "Object2";
            var obj3 = ObjectSpace.CreateObject<Crm_Pais_Iso>();
            obj3.Name = "Object3";
            ObjectSpace.CommitChanges();
            
            var obj = ObjectSpace.CreateObject<Pais_Iso_Test>();
            obj.PaisIso = obj1;
        }
    }
}
